# $Revision: 1.43 $, $Date: 2002/10/05 11:41:47 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	ReadLine-Gnu
Summary:	Term::ReadLine::Gnu Perl module
Summary(cs):	Modul Term::ReadLine::Gnu pro Perl
Summary(da):	Perlmodul Term::ReadLine::Gnu
Summary(de):	Term::ReadLine::Gnu Perl Modul
Summary(es):	Mdulo de Perl Term::ReadLine::Gnu
Summary(fr):	Module Perl Term::ReadLine::Gnu
Summary(it):	Modulo di Perl Term::ReadLine::Gnu
Summary(ja):	Term::ReadLine::Gnu Perl ⥸塼
Summary(ko):	Term::ReadLine::Gnu  
Summary(no):	Perlmodul Term::ReadLine::Gnu
Summary(pl):	Modu Perla Term::ReadLine::Gnu
Summary(pt):	Mdulo de Perl Term::ReadLine::Gnu
Summary(pt_BR):	Mdulo Perl Term::ReadLine::Gnu
Summary(ru):	  Perl Term::ReadLine::Gnu
Summary(sv):	Term::ReadLine::Gnu Perlmodul
Summary(uk):	  Perl Term::ReadLine::Gnu
Summary(zh_CN):	Term::ReadLine::Gnu Perl ģ
Name:		perl-Term-ReadLine-Gnu
Version:	1.13
Release:	2
License:	distributable
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:	perl >= 5.6.1
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-perlprov >= 3.0.3-18
Provides:	perl(Term::ReadLine::Gnu::XS)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	perl-Term-Readline-Gnu

%description
Perl Term::ReadLine::Gnu module.

This is an implementation of the interface to the GNU Readline
Library. This module gives you input line editing facility, input
history management facility, word completion facility, etc. It uses
the real GNU Readline Library. And this module has the interface with
the almost all variables and functions which are documented in the GNU
Readline/History Library. So you can program your custom editing
function, your custom completion function, and so on with Perl. This
may be useful for prototyping before programming with C.

%description -l pl
Modu Perla Term::ReadLine::Gnu. Jest on implementacj interfejsu do
biblioteki GNU Readline. Udostpnia lini wprowadzania tekstu z
moliwoci edycji, zarzdzania histori, automatycznym dopenianiem
itp. Uywa biblioteki GNU Readline, ma interfejs do prawie wszystkich
zmiennych i funkcji bibliotek Readline i History - mona wic
oprogramowa wasne funkcje edycji, dopeniania itp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags} -DPERL_POLLUTE"

# tests require a working X connection
%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

rm -f eg/*.orig
install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{perl_sitearch}/Term/ReadLine
%{perl_sitearch}/Term/ReadLine/Gnu*
%dir %{perl_sitearch}/auto/Term/ReadLine
%dir %{perl_sitearch}/auto/Term/ReadLine/Gnu
%attr(755,root,root) %{perl_sitearch}/auto/Term/ReadLine/Gnu/*.so
%{perl_sitearch}/auto/Term/ReadLine/Gnu/*.bs
# empty autosplit.ix, but requred
%dir %{perl_sitearch}/auto/Term/ReadLine/Gnu/XS
%{perl_sitearch}/auto/Term/ReadLine/Gnu/XS/autosplit.ix
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Term-ReadLine-Gnu.spec,v $
Revision 1.43  2002/10/05 11:41:47  ankry
- restore autosplit.ix again - it is required, rel. 2

Revision 1.42  2002/09/28 23:23:06  ankry
- added tests (disabled by default)
- removed empty autosplit.ix
- version 1.13, rel. 1

Revision 1.41  2002/07/23 08:55:23  ankry
- fixed examples

Revision 1.40  2002/07/22 21:42:31  ankry
- translations, cleaning
- fixed attributes
- release 5

Revision 1.39  2002/07/20 22:57:16  kloczek
- release 4: do not place *.orig files in examples.

Revision 1.38  2002/07/14 19:35:27  ankry
- updated -paths patch
- release 3

Revision 1.37  2002/07/12 11:53:59  qboosh
- added missing dirs, new %%doc, release 2

Revision 1.36  2002/05/15 16:08:13  kloczek
- more %description.

Revision 1.35  2002/05/15 12:33:03  areq
- 1.12, STBR

Revision 1.34  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.33  2002/02/25 10:34:33  depesz
cleanup; revision++

Revision 1.32  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/02/13 14:20:18  depesz
automatic: Source location unified, Relase Up

Revision 1.30  2002/02/10 15:34:49  depesz
adapterized

Revision 1.29  2002/01/18 02:14:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2002/01/02 15:54:49  kloczek
- release 2: perl-Term-Readline-Gnu added to Obsoletes for allow upgrade from MDK.

Revision 1.27  2001/11/17 07:14:26  kloczek
- updated to 1.11.

Revision 1.26  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.25  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.24  2001/04/23 14:36:40  mis
- autoupdated to 1.10

Revision 1.23  2001/04/17 12:16:16  baggins
- release 4
- rebuild with perl 5.6.1

Revision 1.22  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.21  2001/04/13 03:31:00  kloczek
- release 3: rebuild against readline 4.2.

Revision 1.20  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.19  2001/01/24 00:11:20  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.18  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.17  2000/11/12 04:14:37  kloczek
-"BuildRequires: perl >= 5.005_03-14".

Revision 1.16  2000/11/12 04:06:50  kloczek
- updated to 1.09,
- use new rpm automation.

Revision 1.15  2000/07/13 23:46:22  pius
- rebuild with perl-5.6.0
- release 4

Revision 1.14  2000/07/13 23:18:50  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.13  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.11  2000/04/01 11:15:28  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.9  2000/03/25 22:40:40  kloczek
- release 2,
- build against readline 4.1.

Revision 1.8  2000/02/19 22:57:37  pius
- updated to 1.08

Revision 1.7  1999/11/16 18:23:07  kloczek
- release 4,
- build against ncurses 5.0.

Revision 1.6  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.5  1999/10/23 11:35:08  wiget
Release ++

Revision 1.4  1999/10/23 08:58:23  wiget
- %%include /usr/lib/rpm/macros.perl
- BuildRequires: rpm-perlprov

Revision 1.3  1999/09/15 00:11:52  wiget
- release 2

Revision 1.2  1999/09/14 16:58:53  wiget
- fixed BuildRequires:

Revision 1.1  1999/08/28 12:10:10  wiget
- modified for perl 5.005_61
